﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Chart;

namespace DateTimeAnnotation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel viewModel = new ViewModel();
        
        public MainWindow()
        {
            InitializeComponent();

            this.ChartSerieA.Annotations = new AnnotationsCollection();
            for (int i = 0; i < 50; i++)
            {
                this.ChartSerieA.Annotations.Items.Add(new ChartSeriesAnnotation
                {
                    X = viewModel.dataValue[i].Date.ToOADate(),
                    Y = viewModel.dataValue[i].Count,
                    Description = "Syncfusion",
                    AnnotationShape = AnnotationShapes.HorizontalLine,
                });        
            }
        }        
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.dataValue=new ObservableCollection<DataValues>();
            DateTime _date = new DateTime(2014, 1, 1);
            Random random = new Random();
            for (int i = 0; i < 50; i++)
            {
                    dataValue.Add(new DataValues(_date.AddHours(i), random.Next(20,50)));
            }
        }

        public ObservableCollection<DataValues> dataValue { get; set; }
    }

    public class DataValues
    {
        public DateTime Date { get; set; }

        public double Count { get; set; }

        public DataValues(DateTime date, double count)
        {
            Date = date;
            Count = count;
        }
    }
}
